Package com.android.server.os

# Interface LinphoneTombstoneProtos.MemoryDumpOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`

All Known Implementing Classes:
  `LinphoneTombstoneProtos.MemoryDump`, `LinphoneTombstoneProtos.MemoryDump.Builder`

Enclosing class:
  LinphoneTombstoneProtos

public static interface LinphoneTombstoneProtos.MemoryDumpOrBuilder extends com.google.protobuf.MessageLiteOrBuilder

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.ArmMTEMetadata`
`getArmMteMetadata()`
`.ArmMTEMetadata arm_mte_metadata = 6;`
`long`
`getBeginAddress()`
`uint64 begin_address = 3;`
`String`
`getMappingName()`
`string mapping_name = 2;`
`com.google.protobuf.ByteString`
`getMappingNameBytes()`
`string mapping_name = 2;`
`com.google.protobuf.ByteString`
`getMemory()`
`bytes memory = 4;`
`LinphoneTombstoneProtos.MemoryDump.MetadataCase`
`getMetadataCase()`
`String`
`getRegisterName()`
`string register_name = 1;`
`com.google.protobuf.ByteString`
`getRegisterNameBytes()`
`string register_name = 1;`
`boolean`
`hasArmMteMetadata()`
`.ArmMTEMetadata arm_mte_metadata = 6;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getRegisterName

String getRegisterName()
`string register_name = 1;`

Returns:
  The registerName.

### getRegisterNameBytes

com.google.protobuf.ByteString getRegisterNameBytes()
`string register_name = 1;`

Returns:
  The bytes for registerName.

### getMappingName

String getMappingName()
`string mapping_name = 2;`

Returns:
  The mappingName.

### getMappingNameBytes

com.google.protobuf.ByteString getMappingNameBytes()
`string mapping_name = 2;`

Returns:
  The bytes for mappingName.

### getBeginAddress

long getBeginAddress()
`uint64 begin_address = 3;`

Returns:
  The beginAddress.

### getMemory

com.google.protobuf.ByteString getMemory()
`bytes memory = 4;`

Returns:
  The memory.

### hasArmMteMetadata

boolean hasArmMteMetadata()
`.ArmMTEMetadata arm_mte_metadata = 6;`

Returns:
  Whether the armMteMetadata field is set.

### getArmMteMetadata

LinphoneTombstoneProtos.ArmMTEMetadata getArmMteMetadata()
`.ArmMTEMetadata arm_mte_metadata = 6;`

Returns:
  The armMteMetadata.

### getMetadataCase

LinphoneTombstoneProtos.MemoryDump.MetadataCase getMetadataCase()